Package svnmailer :: Module settings :: Class GeneralSettingsContainer

[hide private]

# Class GeneralSettingsContainer

source code

            object --+
                     |
    typedstruct.Struct --+
                         |
                        GeneralSettingsContainer

Container for general settings

See Also: generalMembers for the actual member list

Instance Methods | [hide private]

Inherited from `typedstruct.Struct`: `__del__`, `__init__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

Inherited from `typedstruct.Struct`: `__new__`

Class Variables | [hide private]

| _dict_ = `<svnmailer.typedstruct.StructDictDescriptor object at`...``
| _members_ = `<svnmailer.typedstruct.StructMembersDescriptor obj`...`` hash(x)
| _set_ = `<svnmailer.typedstruct.StructSetDescriptor object at 0`...`` hash(x)
| _sub_ = `<svnmailer.typedstruct.StructSubDescriptor object at 0`...``
| cia_rpc_server = `<svnmailer.struct_accessors.UnicodeDescriptor`...``
| debug_all_mails_to = `<svnmailer.struct_accessors.TokenlistDesc`...``
| diff_command = `<svnmailer.struct_accessors.CommandlineDescript`...``
| nntp_host = `<svnmailer.struct_accessors.UnicodeDescriptor obje`...``
| nntp_pass = `<svnmailer.struct_accessors.QuotedstringDescriptor`...``
| nntp_user = `<svnmailer.struct_accessors.QuotedstringDescriptor`...``
| sendmail_command = `<svnmailer.struct_accessors.CommandlineDesc`...``
| smtp_host = `<svnmailer.struct_accessors.UnicodeDescriptor obje`...``
| smtp_pass = `<svnmailer.struct_accessors.QuotedstringDescriptor`...``
| smtp_user = `<svnmailer.struct_accessors.QuotedstringDescriptor`...``
| tempdir = `<svnmailer.struct_accessors.FilenameDescriptor objec`...``

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### _dict_

Value:

      <svnmailer.typedstruct.StructDictDescriptor object at 0x133a790>

### _members_

    hash(x)

Value:

      <svnmailer.typedstruct.StructMembersDescriptor object at 0x133a750>

### _set_

    hash(x)

Value:

      <svnmailer.typedstruct.StructSetDescriptor object at 0x133a410>

### _sub_

Value:

      <svnmailer.typedstruct.StructSubDescriptor object at 0x133a710>

### cia_rpc_server

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a610>

### debug_all_mails_to

Value:

      <svnmailer.struct_accessors.TokenlistDescriptor object at 0x133a510>

### diff_command

Value:

      <svnmailer.struct_accessors.CommandlineDescriptor object at 0x133a550>

### nntp_host

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a690>

### nntp_pass

Value:

      <svnmailer.struct_accessors.QuotedstringDescriptor object at 0x133a450
      >

### nntp_user

Value:

      <svnmailer.struct_accessors.QuotedstringDescriptor object at 0x133a6d0
      >

### sendmail_command

Value:

      <svnmailer.struct_accessors.CommandlineDescriptor object at 0x133a4d0>

### smtp_host

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a490>

### smtp_pass

Value:

      <svnmailer.struct_accessors.QuotedstringDescriptor object at 0x133a5d0
      >

### smtp_user

Value:

      <svnmailer.struct_accessors.QuotedstringDescriptor object at 0x133a590
      >

### tempdir

Value:

      <svnmailer.struct_accessors.FilenameDescriptor object at 0x133a650>